cmake_minimum_required(VERSION 3.15)
project(Tutorial2 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)



# Find dependencies

find_package(spdlog CONFIG REQUIRED)



# Create a library for our application code

add_library(MyLib src/StockData_Old.cpp src/StockData_Modern.cpp src/CsvParser.cpp)

target_include_directories(MyLib PUBLIC src)



# Define our main executable

add_executable(App src/main.cpp)



# Link our App against spdlog and our library

target_link_libraries(App PRIVATE spdlog::spdlog MyLib)
